import { FG_Plugin } from 'src/plugins';

const permissions = {
  // Show own and others balance
  SHOW: 'balance_show',
  SHOW_OTHER: 'balance_show_others',
  // Credit balance (give)
  CREDIT: 'balance_credit',
  // Debit balance (take)
  DEBIT: 'balance_debit',
  // Debit own balance only
  DEBIT_OWN: 'balance_debit_own',
  // Send from to other
  SEND: 'balance_send',
  // Send from other to another
  SEND_OTHER: 'balance_send_others',
  // Can set limit for users
  SET_LIMIT: 'balance_set_limit',
  //Allow sending / sub while exceeding the set limit
  EXCEED_LIMIT: 'balance_exceed_limit'
};

const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Gerücht',
    icon: 'mdi-cash-100',
    path: 'balance',
    name: 'balance',
    component: () => import('../pages/MainPage.vue'),
    meta: { permissions: ['user'] },
    children: [
      {
        title: 'Anschreiben',
        icon: 'mdi-cash-100',
        path: 'balance-add',
        name: 'balance-add',
        shortcut: true,
        meta: { permissions: [permissions.DEBIT_OWN, permissions.SHOW] },
        component: () => import('../pages/Add.vue')
      }
    ]
  }
];

export default mainRoutes;
