import { Module } from 'vuex';
import userStore from './store/user';
import sessionsStore from './store/session';
import routes from './routes';
import { StateInterface } from 'src/store';
import { FG_Plugin } from 'src/plugins';

const plugin: FG_Plugin.Plugin = {
  name: 'User',
  mainRoutes: routes,
  requiredModules: [],
  version: '0.0.1',
  store: new Map<string, Module<any, StateInterface>>([
    ['user', userStore],
    ['session', sessionsStore]
  ])
};

export default plugin;
